Subject: Re: bug#25388: Bug in ls, kills existing scripts reading "ls" -1 as input

From: L A Walsh <[email-masked]>
Date: Mon, 09 Jan 2017 12:35:46 -0800

Paul Eggert wrote:
> On 01/09/2017 12:00 PM, L A Walsh wrote:
>> I wasn't asking for a change to _that_ specific behavior.
> 
> You argued that it's not standard for 'ls' to behave differently when
> piping output to a pager, and that the recent change was therefore
> undesirable.
====
	I stand corrected for the historical behavior.

	I also stand for it being strongly against GNU
standards to add more such behaviors.

> As the premise for this argument was incorrect, it
> shouldn't be surprising if readers disagree with its conclusion.
----
	Now you are deliberately excluding the fact.  While my
initial stance was that it was engaging in non-standard behavior
(which is true) -- it is also the case that an exception was
made for 'ls' for historical behavior.

	This is not historical behavior.  'ls' doesn't get
a carte blanc to change output anyway it wants because of 
a specific historical behavior.